List Items at a Path
Return a list of files and folders for the specified path. Paths are different for Admin users (Vault Owners and System Admins) and non-Admin users. Learn more about paths in the REST API Documentation.
GET
/api/{version}/services/file_staging/items/{item}Headers
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
item | The absolute path to a file or folder. This path is specific to the authenticated user. Admin users can access the root directory. All other users can only access their own user directory. |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
recursive | If true, the response will contain the contents of all subfolders. If not specified, the default value is false. |
limit | Optional: The maximum number of items per page in the response. This can be any value between 1 and 1000. If omitted, the default value is 1000. |
format_result | If set to csv, the response includes a job_id. Use the Job ID value to retrieve the status and results of the request. |
Request
Section link for Requestcurl -L -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v23.2/services/file_staging/items/Cholecap?recursive=true&limit=2Response
Section link for Response{
"responseStatus": "SUCCESS",
"responseDetails": {
"next_page": "https://myvault.veevavault.com/api/v23.2/services/file_staging/items?cursor=g8qOy3WDCd84tyi%2Bx6KQCA%3D%3D%3AWjeuCSM6tbtmhJ00VpjHMlimit=2&recursive=true"
},
"data": [
{
"kind": "folder",
"path": "/Cholecap-References",
"name": "Cholecap-References"
},
{
"kind": "file",
"path": "/Cholecap-References/cholecap-akathisia",
"name": "cholecap-akathisia",
"size": 35642,
"modified_date": "2020-10-07T16:28:38.000Z"
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following information: